<?php

if ($scope == "edit") {
	$formUrl = admin_url('admin.php?page=splittest-for-elementor&scope=test&action=update&id='.$test->id);
} else {
	$formUrl = admin_url('admin.php?page=splittest-for-elementor&scope=test&action=store');
}

?>

<div class="messages">
	<?php if (isset($_GET['message']) && $_GET['message'] == "save_success") { ?>
		<div class="notice notice-success is-dismissible">
			<p><?php esc_html_e( 'Test successfully saved', 'split-test-for-elementor' ); ?></p>
		</div>
	<?php } ?>
	<?php if (isset($_GET['message']) && $_GET['message'] == "store_success") { ?>
		<div class="notice notice-success is-dismissible">
			<p><?php esc_html_e( 'Test successfully created', 'split-test-for-elementor' ); ?></p>
		</div>
	<?php } ?>
	<?php if (isset($_GET['message']) && $_GET['message'] == "error_test_page_invalid_chars") { ?>
		<div class="notice notice-warning is-dismissible">
			<p><?php esc_html_e( 'The test could not be created. Test page URI contains invalid chars.', 'split-test-for-elementor' ); ?></p>
		</div>
	<?php } ?>
	<?php if (isset($_GET['message']) && $_GET['message'] == "error_test_page_taken") { ?>
		<div class="notice notice-warning is-dismissible">
			<p><?php esc_html_e( 'The test could not be created. Test page URL is already registered.', 'split-test-for-elementor' ); ?></p>
		</div>
	<?php } ?>
</div>

<script type="application/javascript">
	<?php // LOW@kberlau move to js file ?>

	function getInt(value) {
		var parsed = parseInt(value);
		if (isNaN(parsed)) {
			return 0;
		} else {
			return parsed;
		}
	}

	function registerTestVariationDelete() {
		jQuery(".split-test-for-elementor.test-form .button-delete").unbind('click').click(function () {
			var deleteRow = jQuery(this).closest(".row");
			var deleteVariationId = jQuery(deleteRow).attr('data-variation-id');

			if (deleteVariationId != "null" && deleteVariationId != "") {
				jQuery(".split-test-for-elementor.test-form form")
					.append('<input type="hidden" value="' + deleteVariationId + '" name="test-delete-variation[]" />');
			}

			jQuery(deleteRow).remove();
		});
	}

	function registerTestVariationAdd() {
		var testCount = parseInt(jQuery('input[name="variation-count"]').val());

		jQuery(".split-test-for-elementor.test-form .button-add-variation").click(function () {

			if (!<?php echo(self::$licenceManager->hasActiveProLicence() ? 'true' : 'false'); ?>) {
				var currentTestCount = jQuery(".split-test-for-elementor.test-form .test-variations .row.variation").length;
				if (currentTestCount >= <?php echo(SPLIT_TEST_FOR_ELEMENTOR_LITE_MAX_VARIATION_COUNT); ?>) {
					alert("Please buy the pro version to add more Tests");
					return;
				}
			}

			testCount++;

			var template = jQuery("#test-variation-row-template").html();
			var html = template.replace(/VARIATION_ID/g, "null").replace(/TEST_COUNT/g, testCount);

			jQuery(".split-test-for-elementor.test-form .test-variations .row").last().after(html);

			registerTestVariationDelete();

		});
	}

	function registerFormSubmit() {
		jQuery(".test-form form").submit(function () {
			var inputs = jQuery(this).find(".variation .percentage input");
			var percentageCount = 0;
			jQuery.each(inputs, function (index, value) {
				percentageCount += getInt(jQuery(value).val());
			});

			if (percentageCount != 100) {
				alert("All variations are " + percentageCount + " counted together but it has to be 100");
				return false;
			}

			var currentTestCount = jQuery(".split-test-for-elementor.test-form .test-variations .row.variation").length;
			if (currentTestCount < 2) {
				alert("You have to setup at least two Test Variations");
				return false;
			}
		});
	}

	function changeTestTypeLayout(selector) {
		var val = jQuery(selector).val();
		var variationsWrapper = jQuery(".test-variations");
		if (val == "null") {
			jQuery(variationsWrapper).hide();
			jQuery(".test-uri-wrapper").hide();
		} else if (val == "elements") {
			jQuery(variationsWrapper).show();
			jQuery(variationsWrapper).addClass("test-variations-elements");
			jQuery(variationsWrapper).removeClass("test-variations-posts");
			jQuery(".test-uri-wrapper").hide();
		} else if (val == "pages") {
			jQuery(variationsWrapper).show();
			jQuery(variationsWrapper).addClass("test-variations-posts");
			jQuery(variationsWrapper).removeClass("test-variations-elements");
			jQuery(".test-uri-wrapper").show();
		}
	}

	function registerTestTypeChange() {
		jQuery('select[name="test-type"]').change(function () {
			changeTestTypeLayout(this);
		});
	}

	jQuery(document).ready(function() {

		registerTestVariationDelete();

		registerTestVariationAdd();

		registerFormSubmit();

		registerTestTypeChange();

		changeTestTypeLayout(jQuery('select[name="test-type"]'));

		var conversionTypeSelector = jQuery('select[name="test-conversion-type"]');
		if (jQuery(conversionTypeSelector).val() === "widget") {
			jQuery(".test-conversion-page-wrapper").hide();
			jQuery(".test-conversion-code").hide();
		} else if (jQuery(conversionTypeSelector).val() === "external_page") { 
			jQuery(".test-conversion-page-wrapper").hide();
			jQuery(".test-conversion-code").show();
		} else {
			jQuery(".test-conversion-page-wrapper").show();
			jQuery(".test-conversion-code").hide();
		}

		jQuery(conversionTypeSelector).change(function () {
			if (jQuery(this).val() === "widget") {
				alert("<?php esc_html_e( 'Conversion widgets are deprecated and should not be used anymore', 'split-test-for-elementor' ); ?>");
				jQuery(".test-conversion-page-wrapper").slideUp();
				jQuery('select[name="test-conversion-page"]').val("null");
				jQuery(".test-conversion-code").slideUp();
			} else if (jQuery(this).val() === "external_page") {
				jQuery(".test-conversion-page-wrapper").slideUp();
				jQuery('select[name="test-conversion-page"]').val("null");
				jQuery(".test-conversion-code").slideDown();
			} else {
				jQuery(".test-conversion-page-wrapper").slideDown();
				jQuery(".test-conversion-code").slideUp();
			}
		});

		jQuery("#external-page-tracking-code").focus(function() {
			jQuery("#external-page-tracking-code").select();
		});

	});
</script>

<div class="wrap split-test-for-elementor test-form split-test-for-elementor-test-form split-test-for-elementor-test-<?php echo($scope); ?>">
	<?php if ($scope == "edit") { ?>
		<h1><?php esc_html_e( 'Edit Split Test', 'split-test-for-elementor' ); ?>: <?php echo($test->name); ?></h1>
	<?php } else { ?>
		<h1><?php esc_html_e( 'Create Split Test', 'split-test-for-elementor' ); ?></h1>
	<?php } ?>

	<div class="content-wrapper">

		<form method="post" action="<?php echo $formUrl; ?>">
			<label for="test-name"><?php esc_html_e( 'Test name', 'split-test-for-elementor' ); ?>:</label>
			<input id="test-name" name="test-name" type="text" value="<?php echo(isset($test->name) ? $test->name : ""); ?>" placeholder="<?php esc_html_e( 'Test Name', 'split-test-for-elementor' ); ?>" required /><br /><br />

			<h2><?php esc_html_e( 'Test type', 'split-test-for-elementor' ); ?>:</h2>
			<select name="test-type" style="width: 100%;">
				<?php if (!isset($test->test_type)) { ?>
					<option value="null" selected="selected"><?php esc_html_e( 'Please select test type ...', 'split-test-for-elementor' ); ?></option>
				<?php }?>
				<option value="elements" <?php if(isset($test->test_type) && $test->test_type == "elements") { echo('selected="selected"'); } ?>><?php esc_html_e( 'Elements (to test elements on one page)', 'split-test-for-elementor' ); ?></option>
				<option value="pages" <?php if(isset($test->test_type) && $test->test_type == "pages") { echo('selected="selected"'); } ?>><?php esc_html_e( 'Page (to test whole pages against each other)', 'split-test-for-elementor' ); ?></option>
			</select>
			<div class="test-uri-wrapper">
				<div class="headline" style="margin-top: 14px;"><?php esc_html_e( 'Split test url', 'split-test-for-elementor' ); ?>:</div>
				<div>
					<?php echo(get_home_url()); ?>
					<input name="test-uri" type="text" placeholder="identifier" pattern="^([A-Za-z0-9\-_]*)$" title="Only input letters, numbers, dashes and underscores" value="<?php echo(isset($test->test_uri) ? $test->test_uri : ""); ?>" style="width: 10em; display: inline-block;" />
				</div>
			</div>
			<br /><br />

			<div class="test-variations">
				<h2><?php esc_html_e( 'Test Variations', 'split-test-for-elementor' ); ?>:</h2>
				<div class="button-primary button-add-variation">+ <?php esc_html_e( 'Add Variation', 'split-test-for-elementor' ); ?></div>
				<div class="row headline clearfix">
					<div class="name"><?php esc_html_e( 'Name', 'split-test-for-elementor' ); ?>:</div>
					<div class="post"><?php esc_html_e( 'Post', 'split-test-for-elementor' ); ?>:</div>
					<div class="percentage"><?php esc_html_e( 'Percentage', 'split-test-for-elementor' ); ?>:</div>
					<div class="actions">&nbsp;</div>
				</div>

				<?php $i = 0; foreach ($test->variations as $variation) { ?>
					<div class="row data variation" data-variation-id="<?php echo($variation->id); ?>">
						<div class="name">
							<input id="test-name" name="test-variation[<?php echo($i); ?>][name]" type="text" value="<?php echo($variation->name); ?>" placeholder="<?php esc_html_e( 'Name', 'split-test-for-elementor' ); ?>" required />
						</div>
						<div class="post">
							<select name="test-variation[<?php echo($i); ?>][post-id]">
								<option value="null"></option>
								<?php foreach ($posts as $post) { ?>
									<option value="<?php echo($post->ID); ?>" <?php if(isset($variation->post_id) && $variation->post_id == $post->ID) { echo('selected="selected"'); } ?>><?php echo($post->post_title); ?></option>
								<?php } ?>
							</select>
						</div>
						<div class="percentage">
							<input id="test-name" name="test-variation[<?php echo($i); ?>][percentage]" type="number" value="<?php echo($variation->percentage); ?>" placeholder="<?php esc_html_e( 'Percentage', 'split-test-for-elementor' ); ?>" required />
						</div>
						<div class="actions">
							<div class="button-primary button-delete">&times;</div>
							<input id="test-name" name="test-variation[<?php echo($i); ?>][id]" type="hidden" value="<?php echo($variation->id); ?>" required />
						</div>
					</div>
				<?php $i++; } ?>
			</div>
			<div>
				<h2><?php esc_html_e( 'Conversion', 'split-test-for-elementor' ); ?>:</h2>
				<div for="test-conversion-type"><?php esc_html_e( 'Conversion Type', 'split-test-for-elementor' ); ?>:</div>
				<select name="test-conversion-type" style="width: 100%;">
					<option value="page" <?php if(isset($test->conversion_type) && $test->conversion_type == "page") { echo('selected="selected"'); } ?>><?php esc_html_e( 'Page', 'split-test-for-elementor' ); ?></option>
					<option value="external_page" <?php if(isset($test->conversion_type) && $test->conversion_type == "external_page") { echo('selected="selected"'); } ?>><?php esc_html_e( 'External Page', 'split-test-for-elementor' ); ?></option>
					<option value="widget" <?php if(isset($test->conversion_type) && $test->conversion_type == "widget") { echo('selected="selected"'); } ?>><?php esc_html_e( 'Conversion Widget (deprecated)', 'split-test-for-elementor' ); ?></option>
				</select>
				<div class="test-conversion-page-wrapper">
					<div for="test-conversion-type"><?php esc_html_e( 'Conversion Page', 'split-test-for-elementor' ); ?>:</div>
					<select name="test-conversion-page" style="width: 100%;">
						<option value="null"></option>
						<?php foreach ($posts as $post) { ?>
							<option value="<?php echo($post->ID); ?>" <?php if(isset($test->conversion_page_id) && $test->conversion_page_id == $post->ID) { echo('selected="selected"'); } ?>><?php echo($post->post_title); ?></option>
						<?php } ?>
					</select>
				</div>
				<div class="test-conversion-code">
					<?php $trackingUrl = rtrim(get_home_url(), "/")."/split-test-for-elementor/v1/tests/".$test->id."/track-conversion/"; ?> 
					<?php esc_html_e( 'Tracking Code', 'split-test-for-elementor' ); ?>:
					<textarea readonly id="external-page-tracking-code"><img src="<?php echo($trackingUrl); ?>" alt="" /></textarea>
				</div>
			</div>

			<input type="hidden" name="variation-count" value="<?php echo($i); ?>" />
			<input type="hidden" name="test-id" value="<?php echo($test->id); ?>" />
			<input class="button-primary button-save" type="submit" value="<?php esc_html_e( 'Save', 'split-test-for-elementor' ); ?>" />

			<?php if ($postsForTest != null && sizeof($postsForTest) > 0) { ?>
				<div class="test-pages">
					<h2><?php esc_html_e( 'Posts this test is used on', 'split-test-for-elementor' ); ?>:</h2>
					<?php foreach($postsForTest as $post) { ?>
						<div class="test-page">
							<a href="<?php echo(get_permalink($post->ID)); ?>" target="_blank"><?php echo($post->post_title); ?></a>
							[<a href="<?php echo(get_admin_url()."post.php?post=".$post->ID."&action=elementor"); ?>" target="_blank"><?php esc_html_e( 'edit', 'split-test-for-elementor' ); ?></a>]
						</div>
					<?php }?>
				</div>
			<?php } ?>

		</form>

		<div style="display: none;" id="templates">
			<div id="test-variation-row-template">
				<div class="row data variation" data-variation-id="VARIATION_ID">
					<div class="name">
						<input id="test-name" name="test-variation[TEST_COUNT][name]" type="text" value="" placeholder="<?php esc_html_e( 'name', 'split-test-for-elementor' ); ?>" required />
					</div>
					<div class="post">
						<select name="test-variation[TEST_COUNT][post-id]">
							<option value="null"></option>
							<?php foreach ($posts as $post) { ?>
								<option value="<?php echo($post->ID); ?>" <?php if(isset($variation->post_id) && $variation->post_id == $post->ID) { echo('selected="selected"'); } ?>><?php echo($post->post_title); ?></option>
							<?php } ?>
						</select>
					</div>
					<div class="percentage">
						<input id="test-name" name="test-variation[TEST_COUNT][percentage]" type="number" value="" placeholder="<?php esc_html_e( 'percentage', 'split-test-for-elementor' ); ?>" required />
					</div>
					<div class="actions">
						<div class="button-primary button-delete">&times;</div>
						<input id="test-name" name="test-variation[TEST_COUNT][id]" type="hidden" value="null" />
					</div>
				</div>
			</div>
		</div>

	</div>
</div>